Page 3 of 3 FirstFirst 123
Results 21 to 27 of 27

Thread: New release: FPC 2.2.4a for Gameboy Advance and Nintendo DS

  1. #21

    Re: New release: FPC 2.2.4a for Gameboy Advance and Nintendo DS

    DeSmuME 0.9.3 "unofficial" works too. As you have noticed, the animation loop is repeated without any timing so it goes on as fast as it can (60 fps). The way could be adding a counter that updates every VBlank and changing the animation frame each 30 cycles or so. FYI hello_world example shows how to use the VBlank interrupt
    Get your fpc4gba copy now!
    Get your fpc4nds copy now!

  2. #22

    Re: New release: FPC 2.2.4a for Gameboy Advance and Nintendo DS

    I'm having some problems setting up an NDS environment again.

    I've
    1. Got devkitpro arm, which includes libnds [seems to be r27, not 26]
    2. Downloaded the fpc 2.2.4a from the site
    3. Run setpath.bat
    4. Restarted computer
    5. Added Package.fpc in my units\arm-nds\libndsfpc directory with correct contents
    (No makefile.fpc editing should be required as I'm trying to compile examples/graphics/sprites/simple
    6. Run "make OS_TARGET=nds CPU_TARGET=arm BINUTILSPREFIX=arm-eabi- PP=ppcarm.exe"

    And when I do #6 to compile it, I get
    "Processing Makefile.fpc...
    arm-nds requires libndsfpc
    Writing makefile"

    It seems to have not found my libndsfpc Package.fpc file? I'm not sure.

  3. #23

    Re: New release: FPC 2.2.4a for Gameboy Advance and Nintendo DS

    Mmm...
    Try to add the full path to PP:

    [code=pascal]make OS_TARGET=nds CPU_TARGET=arm BINUTILSPREFIX=arm-eabi- PP=c:\your_directory\fpc4nds\bin\arm-nds\ppcarm.exe[/code]

    The problem with devkit r27 is that some paths are different, so you should fix fpc.cfg too.
    By the way, the fpc 2.4.0 release is next to be released (in a week or so) and it is compatible with r27. This time there will be a release for linux too
    Get your fpc4gba copy now!
    Get your fpc4nds copy now!

  4. #24

    Re: New release: FPC 2.2.4a for Gameboy Advance and Nintendo DS

    After fixing the paths, I realized that I have a normal win32 FPC installation which is in the %PATH%, so it was confused which make I want (I can go to a command prompt and type in "make" and it runs make). After specifying which make to use, it would compile, but the generated nds file could not be run in an emulator or on the actual hardware. I think I may just have to wait until 2.4 release is finished.

    (To clarify: The 16bit_color background example makes the no$gba emulator think it's trying to play a sound file [which it's not], and on the actual hardware the ds just makes 2 pretty black screens)

  5. #25

    Re: New release: FPC 2.2.4a for Gameboy Advance and Nintendo DS

    Yes, that happens mixing new toolchain and old libndsfpc. But you can easily fix it
    Basically, you will need to replace libnds 1.4.0 with libnds 1.3.8 and default arm 0.5.8 with default arm 0.5.6

    Uncompress these files in C:\devkitPro\libnds and all should work like expected
    Get your fpc4gba copy now!
    Get your fpc4nds copy now!

  6. #26

    Re: New release: FPC 2.2.4a for Gameboy Advance and Nintendo DS

    Quote Originally Posted by Legolas
    Yes, that happens mixing new toolchain and old libndsfpc. But you can easily fix it
    Basically, you will need to replace libnds 1.4.0 with libnds 1.3.8 and default arm 0.5.8 with default arm 0.5.6

    Uncompress these files in C:\devkitPro\libnds and all should work like expected
    Didn't seem to fix it. Unless you've got any more ideas, I'll wait for 2.4

  7. #27

    Re: New release: FPC 2.2.4a for Gameboy Advance and Nintendo DS

    Uhm... that's odd, it works fine here
    Get your fpc4gba copy now!
    Get your fpc4nds copy now!

Page 3 of 3 FirstFirst 123

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Comodo SSL